3 Replies Latest reply: Jan 12, 2014 3:43 AM by Klaus1
brianfromnt Level 1 Level 1 (0 points)

I have had the hard drive replaced on my Mac and when I go to open my I Tunes it comes up with a prompt

"Quicktime required version 7.5.5 or later" and it won't open, can I fix this online?


iMac, Mac OS X (10.5.8)